Loading...
Searching...
No Matches
mdds::mtv::element_block_funcs< Ts > Struct Template Reference

## Static Public Member Functions

static base_element_block * | create_new_block (element_t type, std::size_t init_size)
static base_element_block * | copy_block (const base_element_block &block)
static base_element_block * | clone_block (const base_element_block &block)
static void | delete_block (const base_element_block *p)
static void | resize_block (base_element_block &block, std::size_t new_size)
static void | print_block (const base_element_block &block)
static void | erase (base_element_block &block, std::size_t pos)
static void | erase (base_element_block &block, std::size_t pos, std::size_t size)
static void | append_block (base_element_block &dest, const base_element_block &src)
static void | append_values_from_block (base_element_block &dest, const base_element_block &src, std::size_t begin_pos, std::size_t len)
static void | assign_values_from_block (base_element_block &dest, const base_element_block &src, std::size_t begin_pos, std::size_t len)
static void | prepend_values_from_block (base_element_block &dest, const base_element_block &src, std::size_t begin_pos, std::size_t len)
static void | swap_values (base_element_block &blk1, base_element_block &blk2, std::size_t pos1, std::size_t pos2, std::size_t len)
static bool | equal_block (const base_element_block &left, const base_element_block &right)
static void | overwrite_values (base_element_block &block, std::size_t pos, std::size_t len)
static void | shrink_to_fit (base_element_block &block)
static std::size_t | size (const base_element_block &block)